Adobe skal igjen videreutvikle NPAPI-utgaven av Flash Player for Linux. (Bilde: Adobe, Wikipedia. Montasje: digi.no)

Flash Player

Adobe «gjenoppliver» Flash Player for Linux

Lover oppdatert funksjonalitet, stabilitet og sikkerhet.

Adobes Flash-teknologi lider en langsom død på weben. Derfor kan det virke litt merkelig at Adobe nå kunngjør at selskapet vil gjenoppta utviklingen av den opprinnelige Flash Player-pluginen for Linux. Det var Phoronix som først skrev om dette.

For flere år siden sluttet Adobe å videreutvikle pluginen som er beregnet for nettlesere med det tradisjonelle NPAPI-grensesnittet (Netscape Plugin Application Programming Interface), blant annet Mozilla Firefox. Mens den nyeste versjonen av de fleste andre utgaver av Flash Player nå er 22, har NPAPI-utgaven av Flash Player for Linux blitt holdt igjen på versjon 11.2 de fire siste årene. Det har kun blitt gitt ut sikkerhetsoppdateringer til denne. 

Les også: Flash Player blir ikke avlivet med det første

Nesten full funksjonalitet

Men når Flash Player 23 etter hvert blir utgitt, skal den også gis ut som en NPAPI-basert Linux-utgave. Riktignok vil den mangle noe funksjonalitet, spesielt knyttet til GPU-basert 3D-akselerasjon og DRM-teknologi for video. Men det loves at utgivelsen vil utgjøre et betydelig skritt framover når det gjelder annen funksjonalitet, i tillegg til stabilitet og sikkerhet. En betaversjon er tilgjengelig på denne siden.

Det er sikkerheten Adobe oppgir som hovedårsaken til at selskapet gjør dette. I tillegg vil selskapet etter hvert kunne slippe å vedlikeholde den gamle koden. 

Langsomt døende: Vil blokkere alt Flash-innhold i Chrome

PPAPI-utgaven

Det finnes allerede en moderne Flash Player-utgave til Linux. Men den er basert på det nyere PPAPI-grensesnittet (Pepper Plugin Application Programming Interface) som kun støttes av Google Chrome og Chromium-baserte nettlesere. 

PPAPI-utgaven av Flash Player for Linux inkluderer også den funksjonaliteten som helt eller delvis er utelatt i NPAPI-utgaven. Adobe anbefaler derfor Linux-brukere å benytte en nettleser med PPAPI-støtte når de har behov for denne funksjonaliteten.

På lånt tid: Skal droppe plugin-støtten i Firefox

Kommentarer (7)

Kommentarer (7)
Til toppen